<?php
/**
* Created by Phil Taylor me@phil-taylor.com
* Support file to display PDF Text Only using class from - http://www.ros.co.nz/pdf/readme.pdf
* HTMLDoc is available from: http://www.easysw.com/htmldoc and needs installing on the server for better HTML to PDF conversion
**/

if (!isset($item_id) && !isNum($item_id)) die();
if (!isset($type) && ($type!="A" || $type!="N" || $type!="CP")) die();

require ("maincore.php");
require (INCLUDES."output_pdf/html2fpdf.php");

switch ($type) {
	case "A":
	   $result = dbquery("SELECT * FROM ".DB_PREFIX."articles WHERE article_id='".$item_id."'");
	   $data = dbarray($result);
	   $subject = stripslashes($data['article_subject']);
	   $snippet = stripslashes($data['article_snippet']);
	   if ($data['article_breaks']=="y") {
		   $snippet = nl2br($snippet);
	   }
	   $date = stripslashes($data['article_datestamp']);
	   $req = substr(FUSION_REQUEST, 0, strrpos(FUSION_REQUEST, '/'));
	   $text = stripslashes(str_replace($req.'/images', $settings['siteurl'].'images', $data['article_article']));
	   if ($data['article_breaks']=="y") {
		   $text = nl2br($text);
	   }
	   $result = dbquery("SELECT user_name FROM ".DB_PREFIX."users WHERE user_id='".$data['article_name']."'");
	   $data = dbarray($result);
	   $footer = stripslashes($data['user_name']);
	break;
	case "N":
	   $result = dbquery("SELECT * FROM ".DB_PREFIX."news WHERE news_id='".$item_id."'");
	   $data = dbarray($result);
	   $subject = stripslashes($data['news_subject']);
	   $date = stripslashes($data['news_datestamp']);
	   $req = substr(FUSION_REQUEST, 0, strrpos(FUSION_REQUEST, '/'));
	   $snippet = stripslashes(str_replace($req.'/images', $settings['siteurl'].'images', $data['news_news']));
	   if ($data['news_breaks']=="y") {
	   	$snippet = nl2br($snippet);
	   }
		   $text = stripslashes(str_replace($req.'/images', $settings['siteurl'].'images', $data['news_extended']));
	   if ($data['news_breaks']=="y") {
		   $text = nl2br($text);
	   }
	   $result = dbquery("SELECT user_name FROM ".DB_PREFIX."users WHERE user_id='".$data['news_name']."'");
	   $data = dbarray($result);
	   $footer = stripslashes($data['user_name']);
	break;
	case "CP":
	   $result = dbquery("SELECT * FROM ".DB_PREFIX."custom_pages WHERE page_id='".$item_id."'");
	   $data = dbarray($result);
	   $subject = stripslashes($data['page_title']);
	   $snippet = '';
	   $req = substr(FUSION_REQUEST, 0, strrpos(FUSION_REQUEST, '/'));
	   $text = str_replace($req.'/images', $settings['siteurl'].'images', $data['page_content']);
	   $text = stripslashes($text);
	   $text = eval('?>'.$text.'<?php ');
	   $footer = '';
	break;
}

$pdf = new HTML2FPDF();
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetTopMargin(15);
$pdf->SetFont('Arial','B',14);
$pdf->WriteHTML('<br>'.$subject.'<br><br>');
if ($type!="CP" && $snippet!='') {
	$pdf->SetFont('Arial','',11);
	if ($snippet!='') {
		$pdf->WriteHTML($snippet);
	}
	if ($text!='' && $snippet!='') {
		$pdf->WriteHTML('<br><br>');
	}
}
if ($text!='') {
	$pdf->SetFont('Arial','',11);
	$pdf->WriteHTML($text);
}
if ($type!="CP") {
	$pdf->SetFont('Arial','',8);
	$pdf->WriteHTML("<br><br><hr><div align='right'>".$locale['040'].": ".$footer.", ".$locale['041']." ".showdate("longdate", $date)."</div>");
	$pdf->SetAuthor($footer);
}
$pdf->Output();
?>